/Users/bernard/b20/bsoft/include/rwXPLOR.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwXPLOR.h - Header file for reading and writing XPLOR reflection files.

SYNOPSIS

#include 'rwimg.h'

  Functions
int readXPLOR (Bimage *p, int readdata)
Reading a XPLOR map or structure factor file format. A minimal implementation.
int writeXPLOR (Bimage *p)
Writing a XPLOR map or structure factor file format. A text format used in X-ray crystallography.

Detailed Description

Header file for reading and writing XPLOR reflection files.

Author:
    Bernard Heymann

Date:
    Created: 19981229

    Modified: 20000715

    Format: 3D structure factor file format for the program XPLOR

Definition in file rwXPLOR.h.

Function Documentation

  int readXPLOR (Bimage * p, int readdata)

Reading a XPLOR map or structure factor file format. A minimal implementation.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure).

Definition at line 32 of file rwXPLOR.cpp.

  int writeXPLOR (Bimage * p)

Writing a XPLOR map or structure factor file format. A text format used in X-ray crystallography.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure).

Definition at line 221 of file rwXPLOR.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.